Subject: Re: IGMP joins come from the wrong SA/interface

From: "Steinar H. Gunderson" <[email-masked]>
Date: Wed, 5 Feb 2014 00:34:59 +0100

On Wed, Feb 05, 2014 at 12:32:06AM +0100, Hannes Frederic Sowa wrote:
>>  2. I didn't properly understand that the multicast flag on the route did not
>>     matter (although it really should!).
> Hmm, maybe that would be good but I am not sure if that could break existing
> setups if we change that now. It seems it is handled like that since Alexey
> implemented it in that way.

Thinking of it, traditionally (and by “traditionally” I mean in IOS and the
likes, not Linux) the multicast routing table has been used to look up the
rendezvous point (RP), to know where to send the PIM join. (The leads to the
confusing situation where the multicast routing table contains unicast
addresses.) In this situation, we have IGMP and not PIM, which means we do
not know anything about the RP, so maybe it's the right decision after all.

/* Steinar */
-- 
Homepage: http://www.sesse.net/